Bug 375701 - add "shutdown" quirk to pm-utils
add "shutdown" quirk to pm-utils
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 05:51 EST by Simon Goodall
Modified: 2008-01-08 15:29 EST (History)
2 users (show)

See Also:
Fixed In Version: Fedora 8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-08 15:29:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Goodall 2007-11-11 05:51:02 EST
Description of problem:
Running pm-hibernate runs successfully except it fails to power off the machine
when it's finished writing to disk. It manages to poweroff most of my devices
(loud pop from speakers, HD spins down and fans turn off) but there is still a
blinking cursor on my screen.
Turning the machine back on, resumes as expected.

Version-Release number of selected component (if applicable):
pm-utils-0.99.4-6.fc8

How reproducible:
Always

Steps to Reproduce:
1. run pm-hibernate
2.
3.
  
Actual results:
Shows blank screen with flashing cursor.
Lots of disk activity.
Loud pop from speakers, then HD, fans spin down/turn off
.... 
Need to manually power off


Expected results:
....
Machine should automatically power off

Additional info:
Comment 1 Simon Goodall 2007-11-18 07:18:59 EST
Using "shutdown" instead of "platform" as the text echo'd into /sys/power/disk
in /usr/lib/pm-utils/functions solves my problem. Perhaps this should be a
configurable item.
Comment 2 Till Maas 2008-01-01 20:48:44 EST
Can you please paste the output of:
lshal | egrep "(system.hardware.(product|vendor|version)|smbios.bios.version)"
Comment 3 Till Maas 2008-01-08 11:34:57 EST
Hey Simon, can you please provide the output of
lshal | egrep "(system.hardware.(product|vendor|version)|smbios.bios.version)"

The hal developers decided, that this bug should be fixed within the kernel,
i.e. making the use of platform work, so you do not need to use shutdown. But
for this it is needed, that you describe which notebook you are using.
Comment 4 Till Maas 2008-01-08 13:18:05 EST
Aditionally it will probably be possible to configure pm-utils to use shutdown
via a config variable.
Comment 5 Simon Goodall 2008-01-08 15:23:09 EST
My system is appears to be working with the platform method now. An update must
have resolved this.

The requested details are below if still useful.

  smbios.bios.version = 'A08'  (string)
  system.hardware.product = 'Inspiron 8500'  (string)
  system.hardware.vendor = 'Dell Computer Corporation'  (string)

Note You need to log in before you can comment on or make changes to this bug.